@import '../../styles/variables/colors';
@import '../../styles/variables/mixins';

.first-fold-section {
  display: flex;
  justify-content: center;
  flex-direction: column;
  position: relative;
  width: 100%;
  height: calc(100vh - 66.5px);

  @include mobile {
    height: 85vh;
    height: calc(100dvh - 66.5px);
  }

  .footer-mobile {
    display: none;
    align-items: center;
    flex-grow: 2;
    justify-content: center;
    padding: 0 20px;
    color: $grey-10;

    .content {
      width: 100%;
    }

    @include mobile {
      display: flex;
    }
  }

  .mg-first-fold {
    // height: 100vh;
    position: relative;
    z-index: 1;
    display: flex;
    align-items: center;
    justify-content: center;

    @include mobile {
      border-radius: 0px 0px 16px 16px;
      overflow: hidden;
      // height: calc(100vh - 87px);
    }

    .mg-first-fold-top-text {
      position: absolute;
      top: 26px;
      right: 46px;
      z-index: 1;
      font-weight: 600;
      font-size: 14px;
      text-align: right;
      letter-spacing: 0.01em;
      text-transform: uppercase;
      color: $grey-10;

      @include tablet-p {
        display: none;
      }
      @include mobile {
        display: none;
      }

      a {
        margin-bottom: 8px;
        display: block;
        text-decoration: none;
      }
    }
    .mg-first-fold-header {
      position: absolute;
      top: 0;
      margin: 0 auto;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
      padding-top: 34px;

      .mg-first-fold-menu {
        cursor: pointer;
        display: flex;
        align-items: center;
        border: 1px solid $cream-100;
        border-radius: 150px;
        padding: 10px 21px;

        font-style: normal;
        font-weight: 400;
        font-size: 14px;
        text-align: center;
        letter-spacing: 0.02em;
        text-transform: uppercase;
        color: $cream-100;
        > svg {
          margin-right: 10px;
        }
      }
      .mg-first-fold-login {
        cursor: pointer;
        display: flex;
        align-items: center;
        border: 1px solid $cream-100;
        border-radius: 150px;
        padding: 10px 50px;
        font-weight: 400;
        font-size: 14px;
        text-align: center;
        letter-spacing: 0.02em;
        text-transform: uppercase;
        color: $cream-100;
      }
      @include mobile {
        padding-top: 51px;
        > svg {
          width: 45vw !important;
        }
      }
    }
    .mg-first-fold-text {
      // height: 100vh;
      display: flex;
      align-items: center;
      justify-content: center;
      flex-direction: column;
      padding-top: 5vh;

      @include iphone5 {
        padding-top: 20px;
      }

      .mg-first-fold-heading {
        font-family: 'Editorial New';
        font-weight: 200;
        font-size: 75px;
        line-height: 1.3em;
        text-align: center;
        letter-spacing: 0.01em;
        text-transform: uppercase;
        color: $cream-40;

        @include mobile {
          font-size: 50px;
          line-height: 1.6em;
        }

        @include iphone5 {
          font-size: 40px;
        }
      }

      .mg-first-fold-subheading {
        margin: 10px auto 50px;
        font-weight: 400;
        font-size: 18px;
        line-height: 30px;
        text-align: center;
        color: $cream-40;
        max-width: 673px;
        position: relative;

        @include mobile {
          font-size: 14px;
          line-height: 20px;
          max-width: 90%;
          margin: 19px auto 34px;
        }

        @include iphone5 {
          font-size: 12px;
          line-height: 20px;
          max-width: 90%;
          margin: 19px auto 34px;
        }

        .mg-play-reel-btn {
          position: absolute;
          right: -300px;
          top: 0;
          cursor: pointer;
        }
      }
    }
    .mg-discover-more {
      width: 600px;
      height: 260px;
      // background: #404040;
      z-index: 1;
      margin: 0 auto;
      position: absolute;
      bottom: -120px;
      left: 0;
      right: 0;
      border-radius: 50%;
      padding: 20px;
      display: flex;
      flex-direction: column;
      align-items: center;
      font-style: normal;
      font-weight: 400;
      font-size: 1rem;
      text-align: center;
      // text-transform: uppercase;
      color: $cream-50;
      > svg {
        margin-bottom: 20px;
      }
      @media (max-width: 1024px) {
        display: none;
      }
    }
  }

  .mg-first-fold-auth-btns {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: fit-content;
    margin: auto;
    cursor: pointer;
    & > * + * {
      margin-left: 1rem;
    }

    @include mobile {
      flex-direction: column;
      width: 100%;
      padding: 0 20px;
      & > * + * {
        margin-left: 0;
        margin-top: 1rem;
      }
    }

    .btn-hero-sec {
      height: 50px;
      min-width: 220px;
      font-weight: 400;
      font-size: 18px;
      line-height: 110%;

      @include mobile {
        width: 100%;
      }

      @include iphone5 {
        height: 50px;
      }

      &:hover {
        background: rgba($cream-100, 0.3);
      }
    }
  }
}
